%?mingw_package_header

%global qt_module qtsensors
#%%global pre beta1

%global snapshot_date 20130510
%global snapshot_rev ceec1eda

%if 0%{?snapshot_date}
%global source_folder qt-%{qt_module}
%else
%global source_folder %{qt_module}-opensource-src-%{version}%{?pre:-%{pre}}
%endif

Name:           mingw-qt5-%{qt_module}
Version:        5.0.0
Release:        0.5%{?pre:.%{pre}}%{?snapshot_date:.git%{snapshot_date}.%{snapshot_rev}}%{?dist}
Summary:        Qt5 for Windows - QtSensors component

License:        GPLv3 with exceptions or LGPLv2 with exceptions
Group:          Development/Libraries
URL:            http://www.qtsoftware.com/

%if 0%{?snapshot_date}
# To regenerate:
# wget http://qt.gitorious.org/qt/%{qt_module}/archive-tarball/%{snapshot_rev} -O qt5-%{qt_module}-%{snapshot_rev}.tar.gz
Source0:        qt5-%{qt_module}-%{snapshot_rev}.tar.gz
%else
Source0:        http://releases.qt-project.org/qt5/%{version}/submodules/%{qt_module}-opensource-src-%{version}%{?pre:-%{pre}}.tar.xz
%endif

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 96
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-qt5-qtbase
BuildRequires:  mingw32-qt5-qtdeclarative

BuildRequires:  mingw64-filesystem >= 96
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-qt5-qtbase
BuildRequires:  mingw64-qt5-qtdeclarative


%description
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win32
%package -n mingw32-qt5-%{qt_module}
Summary:        Qt5 for Windows - QtSensors component

%description -n mingw32-qt5-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win64
%package -n mingw64-qt5-%{qt_module}
Summary:        Qt5 for Windows - QtSensors component

%description -n mingw64-qt5-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


%?mingw_debug_package


%prep
%setup -q -n %{source_folder}


%build
%mingw_qmake_qt5 ../%{qt_module}.pro
%mingw_make %{?_smp_mflags}


%install
%mingw_make install INSTALL_ROOT=$RPM_BUILD_ROOT

# .prl files aren't interesting for us
find $RPM_BUILD_ROOT -name "*.prl" -delete

# Rename the .a files to .dll.a as they're actually import libraries and not static libraries
for FN in $RPM_BUILD_ROOT%{mingw32_libdir}/*.a $RPM_BUILD_ROOT%{mingw64_libdir}/*.a ; do
    FN_NEW=$(echo $FN | sed s/'.a$'/'.dll.a'/)
    mv $FN $FN_NEW
done

# The .dll's are installed in both %%{mingw32_bindir} and %%{mingw32_libdir}
# One copy of the .dll's is sufficient
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.dll
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.dll


# Win32
%files -n mingw32-qt5-%{qt_module}
%{mingw32_bindir}/Qt5Sensors.dll
%{mingw32_includedir}/qt5/QtSensors/
%{mingw32_libdir}/libQt5Sensors.dll.a
%{mingw32_libdir}/cmake/Qt5Sensors/
%{mingw32_libdir}/pkgconfig/Qt5Sensors.pc
%{mingw32_libdir}/qt5/plugins/sensorgestures/
%{mingw32_libdir}/qt5/plugins/sensors/
%{mingw32_datadir}/qt5/qml/QtSensors/
%{mingw32_datadir}/qt5/mkspecs/modules/qt_lib_sensors.pri

# Win64
%files -n mingw64-qt5-%{qt_module}
%{mingw64_bindir}/Qt5Sensors.dll
%{mingw64_includedir}/qt5/QtSensors/
%{mingw64_libdir}/libQt5Sensors.dll.a
%{mingw64_libdir}/cmake/Qt5Sensors/
%{mingw64_libdir}/pkgconfig/Qt5Sensors.pc
%{mingw64_libdir}/qt5/plugins/sensorgestures/
%{mingw64_libdir}/qt5/plugins/sensors/
%{mingw64_datadir}/qt5/qml/QtSensors/
%{mingw64_datadir}/qt5/mkspecs/modules/qt_lib_sensors.pri


%changelog
* Fri May 10 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-5.git20130510.ceec1eda
- Update to 20130510 snapshot (rev ceec1eda)

* Sat Feb  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-4.git20130209.f7f1d56c
- Update to 20130209 snapshot (rev f7f1d56c) (upstream hasn't done an official release yet)

* Thu Jan  3 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-3.git20121112.ac76c8d5
- Fix filelist

* Mon Nov 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121112.ac76c8d5
- Update to 20121112 snapshot (rev ac76c8d5)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now

* Wed Sep 12 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.1.beta1
- Initial release

